summaryrefslogtreecommitdiff
path: root/Biz/Bild
diff options
context:
space:
mode:
authorBen Sima <ben@bsima.me>2020-12-04 11:16:25 -0500
committerBen Sima <ben@bsima.me>2020-12-05 07:55:13 -0500
commit330e4363d8abb509031d2c8c1a89dcc6f955e2c1 (patch)
tree915c8c50a7125bf6eb9e560f8d00a80592f41c77 /Biz/Bild
parent32f53350a3a3d701e9a1474e670a8454342adc40 (diff)
Renamespace Devalloc and Que
Move them under the Biz root so that we know they are specific to Biz stuff. Biz is for proprietary stuff that we own. I also had to refactor the bild namespace parsing code because it couldn't handle a namespace with 3 parts. I really need to get that namespace library written and tested.
Diffstat (limited to 'Biz/Bild')
-rw-r--r--Biz/Bild/ShellHook.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/Biz/Bild/ShellHook.sh b/Biz/Bild/ShellHook.sh
index b79f1a6..65c3f10 100644
--- a/Biz/Bild/ShellHook.sh
+++ b/Biz/Bild/ShellHook.sh
@@ -101,22 +101,24 @@ function ship() {
# Poor man's ci
function ci() {
+ set -e
lint
stuff=(
Biz/Pie.hs
Biz/Pie.nix
+ Biz/Devalloc/Host.hs
+ Biz/Que/Site.hs
+ Biz/Que/Host.hs
+ Biz/Que/Prod.nix
Biz/Cloud.nix
Biz/Dev.nix
- Que/Site.hs
- Que/Host.hs
- Que/Prod.nix
Hero/Host.hs
Hero/Node.hs
Hero/Prod.nix
)
for thing in ${stuff[@]}
do
- bild $thing
+ bild "$thing"
done
}